# $Revision: 1.18 $, $Date: 2006/07/25 20:17:51 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Audio
%define		pnam	Ecasound
Summary:	Audio::Ecasound Perl module - bindings to the ecasound control interface
Summary(pl):	Modu Perla Audio::Ecasound - dowizania do interfejsu ecasound
Name:		perl-Audio-Ecasound
Version:	0.91
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8d9f7ce34d80c1a05e1b6bced9ba72d9
URL:		http://search.cpan.org/dist/Audio-Ecasound/
BuildRequires:	ecasound-devel >= 2.2.0
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Audio::Ecasound provides perl bindings to the ecasound control
interface of the ecasound program. You can use perl to automate or
interact with ecasound. Ecasound is a software package designed for
multitrack audio processing. It can be used for audio playback,
recording, format conversions, effects processing, mixing and as a
LADSPA plugin host.

%description -l pl
Modu Audio::Ecasound udostpnia dowizania do interfejsu
kontrolujcego program ecasound. Umoliwia automatyzacj czynnoci
wykonywanych pod kontrol tego programu. Ecasound to pakiet sucy do
obrbki wielociekowego dwiku. Moe by uywany do odtwarzania,
nagrywania, konwersji midzy formatami, przepuszczania przez efekty,
miksowania oraz jako baza dla wtyczek LADSPA.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
echo 'y' | %{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

# test disabled by default - it hangs
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install eg/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Audio/Ecasound.pm
%dir %{perl_vendorarch}/auto/Audio/Ecasound
%{perl_vendorarch}/auto/Audio/Ecasound/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Audio/Ecasound/*.so
%{_mandir}/man3/*
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Audio-Ecasound.spec,v $
Revision 1.18  2006/07/25 20:17:51  glen
- 0.91, generic URL

Revision 1.17  2004/11/03 20:27:39  paladine
- formatting

Revision 1.16  2004/06/05 18:10:30  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.15  2004/05/06 18:09:15  ankry
- fixed perl-devel BR

Revision 1.14  2004/05/05 11:02:10  ankry
- cosmetics

Revision 1.13  2004/04/17 05:46:24  ankry
- license fixes

Revision 1.12  2004/03/09 20:25:32  adamg
- new style bconds

Revision 1.11  2003/09/21 21:47:36  adamg
- updated to 0.9

Revision 1.10  2003/05/28 13:00:22  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/11 18:59:20  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/01 23:01:42  radek
- fixed

Revision 1.6  2003/03/01 17:42:19  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/18 15:26:22  ankry
- massive attack: change CPAN URLs

Revision 1.4  2003/02/15 12:40:30  qboosh
- resurrected, patch updated for 2.2.0

Revision 1.2  2002/08/05 09:31:24  ankry
- disable "make test" by default (it hangs without working audio device)
- release 2

Revision 1.1  2002/08/04 19:23:52  qboosh
- new
